-- 健康检查任务建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_CONFIG_CHECKTASK')
CREATE TABLE T_RICC_CONFIG_CHECKTASK (
	FID BIGINT NOT NULL DEFAULT 0,
	FBILLNO VARCHAR(25) NOT NULL DEFAULT ' ',
	FNAME NVARCHAR(50) NOT NULL DEFAULT ' ',
	FBILLSTATUS CHAR(1) NOT NULL DEFAULT 'A',
	FCREATORID BIGINT NOT NULL DEFAULT 0,
	FMODIFIERID BIGINT NOT NULL DEFAULT 0,
	FAUDITORID BIGINT NOT NULL DEFAULT 0,
	FAUDITDATE DATETIME,
	FMODIFYTIME DATETIME,
	FCREATETIME DATETIME,
	FSTARTTIME DATETIME,
	FENDTIME DATETIME,
	FCOSTTIME NVARCHAR(50) NOT NULL DEFAULT ' ',
	FTRACEID VARCHAR(50) NOT NULL DEFAULT ' ',
	FTASKID VARCHAR(50) NOT NULL DEFAULT ' ',
	FPROGRESSDESC NVARCHAR(200) NOT NULL DEFAULT ' ',
	FERRORMESSAGE NVARCHAR(500) NOT NULL DEFAULT ' ',
	FERRORMESSAGE_TAG NCLOB DEFAULT ' ',
	FTASKSTATUS VARCHAR(50) NOT NULL DEFAULT ' '
);

-- 待检查的配置项建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_CONFIGCHECK_CONFIG')
CREATE TABLE T_RICC_CONFIGCHECK_CONFIG (
	FPKID BIGINT NOT NULL DEFAULT 0,
	FID BIGINT NOT NULL DEFAULT 0,
	FBASEDATAID BIGINT NOT NULL DEFAULT 0
);

-- “任务配置分录” 脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_CONFIGCHECK_ITEMS')
CREATE TABLE T_RICC_CONFIGCHECK_ITEMS (
	FID BIGINT NOT NULL DEFAULT 0,
	FENTRYID BIGINT NOT NULL DEFAULT 0,
	FSEQ BIGINT NOT NULL DEFAULT 0,
	FTASK_CHECKITEMS BIGINT NOT NULL DEFAULT 0
);

-- 排除的配置项建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_CHECK_EXTCONFIGS')
CREATE TABLE T_RICC_CHECK_EXTCONFIGS (
	FPKID BIGINT NOT NULL DEFAULT 0,
	FENTRYID BIGINT NOT NULL DEFAULT 0,
	FBASEDATAID BIGINT NOT NULL DEFAULT 0
);

-- 日志分录建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_CONFIGCHECKLOGS')
CREATE TABLE T_RICC_CONFIGCHECKLOGS (
	FID BIGINT NOT NULL DEFAULT 0,
	FENTRYID BIGINT NOT NULL DEFAULT 0,
	FSEQ BIGINT NOT NULL DEFAULT 0,
	FLOG_CHECKITEM BIGINT NOT NULL DEFAULT 0,
	FLOG_CONFIGITEM BIGINT NOT NULL DEFAULT 0,
	FLOG NVARCHAR(1000) NOT NULL DEFAULT ' ',
	FCHECKRESULT VARCHAR(50) NOT NULL DEFAULT ' '
);

-- 检查项建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_CHECKITEM')
CREATE TABLE T_RICC_CHECKITEM (
	FID BIGINT NOT NULL DEFAULT 0,
	FNUMBER VARCHAR(30) NOT NULL DEFAULT ' ',
	FNAME NVARCHAR(50) NOT NULL DEFAULT ' ',
	FSTATUS CHAR(1) NOT NULL DEFAULT 'A',
	FCREATORID BIGINT NOT NULL DEFAULT 0,
	FMODIFIERID BIGINT NOT NULL DEFAULT 0,
	FENABLE CHAR(1) NOT NULL DEFAULT '1',
	FCREATETIME DATETIME,
	FMODIFYTIME DATETIME,
	FMASTERID BIGINT NOT NULL DEFAULT 0,
	FDESCRIPTION NVARCHAR(500) NOT NULL DEFAULT ' ',
	FERRORLEVEL VARCHAR(50) NOT NULL DEFAULT ' ',
	FIMPL VARCHAR(200) NOT NULL DEFAULT ' ',
	FTIPSTPL NVARCHAR(500) NOT NULL DEFAULT ' ',
	FSOLUTION NVARCHAR(500) NOT NULL DEFAULT ' ',
	FISPRESET CHAR(1) NOT NULL DEFAULT '0'
);

-- 检查项多语言表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_CHECKITEM_L')
CREATE TABLE T_RICC_CHECKITEM_L (
	FPKID VARCHAR(36) NOT NULL DEFAULT ' ',
	FID BIGINT NOT NULL DEFAULT 0,
	FLOCALEID VARCHAR(10) NOT NULL DEFAULT ' ',
	FNAME NVARCHAR(50) NOT NULL DEFAULT ' ',
	FTIPSTPL NVARCHAR(500) NOT NULL DEFAULT ' ',
	FSOLUTION NVARCHAR(500) NOT NULL DEFAULT ' '
);